com.verisign.epp.codec.idntable

## Enum EPPIdnTableCheckResp.Form

- java.lang.Object
- - java.lang.Enum<EPPIdnTableCheckResp.Form>
  - - com.verisign.epp.codec.idntable.EPPIdnTableCheckResp.Form

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPIdnTableCheckResp.Form>
  Enclosing class:
    EPPIdnTableCheckResp

      public static enum EPPIdnTableCheckResp.Form
      extends java.lang.Enum<EPPIdnTableCheckResp.Form>

  Check form types, that include:
  - `UNDEFINED_FORM` that represents an undefined state, where neither or both tables and domains are defined.
  - `DOMAIN_FORM` that represents the "Domain Check Form", where domain names are only defined.
  - `TABLE_FORM` that represents the "Table Check Form", where table identifiers are only defined.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOMAIN_FORM`
    `TABLE_FORM`
    `UNDEFINED_FORM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPIdnTableCheckResp.Form` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPIdnTableCheckResp.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED_FORM

          public static final EPPIdnTableCheckResp.Form UNDEFINED_FORM

    - #### DOMAIN_FORM

          public static final EPPIdnTableCheckResp.Form DOMAIN_FORM

    - #### TABLE_FORM

          public static final EPPIdnTableCheckResp.Form TABLE_FORM

  - ### Method Detail

    - #### values

          public static EPPIdnTableCheckResp.Form[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPIdnTableCheckResp.Form c : EPPIdnTableCheckResp.Form.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPIdnTableCheckResp.Form valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null